"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSelector = void 0;
var useBuilder_1 = require("./useBuilder");
var useController_1 = require("./useController");
function useSelector(source, stateSelector) {
    var controller = (0, useController_1.useControllerInternal)(source);
    var buildWhen = function (prev, curr) { return stateSelector(prev) !== stateSelector(curr); };
    var state = (0, useBuilder_1.useBuilder)(controller, buildWhen);
    return [stateSelector(state), controller];
}
exports.useSelector = useSelector;
//# sourceMappingURL=useSelector.js.map