declare abstract class Controller<T> {
    constructor(initialState: T);
    private _state;
    private _subject;
    get observable(): import("rxjs").Observable<T>;
    get state(): T;
    protected emit(state: Partial<T>): void;
    dispose(): Promise<void>;
}
export default Controller;
