import { useEffect, useRef } from 'react';
function useAutoDispose(create) {
    var controllerRef = useRef(create());
    useEffect(function () {
        var controller = controllerRef.current;
        return function () {
            controller.dispose();
        };
    }, []);
    return controllerRef.current;
}
export { useAutoDispose };
//# sourceMappingURL=useAutoDispose.js.map